#!/bin/sh 
#
# $Id: php_postin.sh,v 1.0 2003/10/09 19:05:10 legion Exp $
#

# This variables must be defined befor this script runs.
php_extconf=${php_extconf:?}
php_sysconfdir=${php_sysconfdir:?}
php_servicedir=${php_servicedir:?}

sapiList=${sapiList:=`ls -p $php_sysconfdir|grep /$|sed -e 's|/||g'`}
extList=${extList:=`ls -p $php_extconf|grep /$|sed -e 's|/||g'`}
suffix=.phpnew

for ext in $extList; do
    file_ini=
    exceptions=
    [ -f "$php_extconf/$ext/params" ] && . $php_extconf/$ext/params

    for sapi in $sapiList; do 
	strn=
	[ -z "$exceptions" ] || strn=`echo "$exceptions" | sed -e "s#\\(^\\|[ ]\\+\\)$sapi\\([ ]\\+\\|$\\)# #g"`
	[ "$strn" != "$exceptions" ] && continue
	
	file_ini=${file_ini:=$ext.ini}
	
	if [ -f "$php_extconf/$ext/config" ]; then
	  if [ -f "$php_sysconfdir/$sapi/php.d/$file_ini" ]; then
	    cp "$php_extconf/$ext/config" "$php_sysconfdir/$sapi/php.d/$file_ini$suffix"
		echo "warning: $php_sysconfdir/$sapi/php.d/$file_ini created as $php_sysconfdir/$sapi/php.d/$file_ini$suffix"
	  else
	  	cp "$php_extconf/$ext/config" "$php_sysconfdir/$sapi/php.d/$file_ini"
	  fi
	fi
#	[ -f "$php_sysconfdir/$sapi/php.d/$file_ini" -o ! -f "$php_extconf/$ext/config" ] || \
#	    cp "$php_extconf/$ext/config" $php_sysconfdir/$sapi/php.d/$file_ini

	[ ! -x "$php_servicedir/$sapi/condrestart" ] || $php_servicedir/$sapi/condrestart  
    done
done
