#!/bin/sh
#
# $Id: php_preun.sh,v 1.0 2003/10/09 19:10:20 legion Exp $
#

# This variables must be defined befor this script runs.
php_extconf=${php_extconf:?}
php_sysconfdir=${php_sysconfdir:?}
php_servicedir=${php_servicedir:?}

sapiList=${sapiList:=`ls -p $php_sysconfdir|grep /$|sed -e 's|/||g'`}
extList=${extList:=`ls -p $php_extconf|grep /$|sed -e 's|/||g'`}

for ext in $extList; do
    file_ini=
    [ -f "$php_extconf/$ext/params" ] && . $php_extconf/$ext/params

    for sapi in $sapiList; do 
	file_ini=${file_ini:=$ext.ini}
	
	[ -f $php_sysconfdir/$sapi/php.d/$file_ini ] || continue 
	rm -f $php_sysconfdir/$sapi/php.d/$file_ini 

	[ ! -x "$php_servicedir/$sapi/condrestart" ] || $php_servicedir/$sapi/condrestart  
    done
done
